# This file is part of Tryton.  The COPYRIGHT file at the top level of
# this repository contains the full copyright notices and license terms.

from trytond.pool import Pool
from . import restaurant
from . import sale
from . import production
from . import product
from . import invoice
from . import agent
from . import shop
from . import dash
from . import bom


def register():
    Pool.register(
        restaurant.SaleShopTable,
        restaurant.Reservation,
        restaurant.PartyConsumer,
        sale.Sale,
        sale.SaleForceDraft,
        sale.SaleLine,
        sale.SaleLineHistoryDelete,
        sale.SaleLineHistoryDeleteStart,
        sale.SaleMove,
        sale.OrderStatusTime,
        shop.SaleShop,
        bom.BOM,
        # production.WorkStation,
        # production.WorkStationPrinter,
        production.TaskPrinter,
        production.ConfigurationTask,
        production.Task,
        product.ProductMixOption,
        product.Product,
        invoice.InvoiceLine,
        agent.Agent,
        dash.DashApp,
        dash.AppRestOrder,
        module='sale_pos_frontend_rest', type_='model')
    Pool.register(
        sale.SaleSquareBoxGlobal,
        sale.SaleLineHistoryDeleteWizard,
        module='sale_pos_frontend_rest', type_='wizard')
    Pool.register(
        sale.SaleSquareBoxGlobalReport,
        sale.SaleLineHistoryDeleteReport,
        module='sale_pos_frontend_rest', type_='report')
